package com.fs.store.service.impl;

import java.util.List;

import com.fs.store.param.FsPatientParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsPatientMapper;
import com.fs.store.domain.FsPatient;
import com.fs.store.service.IFsPatientService;

/**
 * 病人Service业务层处理
 * 
 * @author fs
 * @date 2022-03-23
 */
@Service
public class FsPatientServiceImpl implements IFsPatientService 
{
    @Autowired
    private FsPatientMapper fsPatientMapper;

    /**
     * 查询病人
     * 
     * @param patientId 病人ID
     * @return 病人
     */
    @Override
    public FsPatient selectFsPatientById(Long patientId)
    {
        return fsPatientMapper.selectFsPatientById(patientId);
    }

    /**
     * 查询病人列表
     * 
     * @param fsPatient 病人
     * @return 病人
     */
    @Override
    public List<FsPatient> selectFsPatientList(FsPatient fsPatient)
    {
        return fsPatientMapper.selectFsPatientList(fsPatient);
    }

    /**
     * 新增病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    @Override
    public int insertFsPatient(FsPatient fsPatient)
    {
        return fsPatientMapper.insertFsPatient(fsPatient);
    }

    /**
     * 修改病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    @Override
    public int updateFsPatient(FsPatient fsPatient)
    {
        return fsPatientMapper.updateFsPatient(fsPatient);
    }

    /**
     * 批量删除病人
     * 
     * @param patientIds 需要删除的病人ID
     * @return 结果
     */
    @Override
    public int deleteFsPatientByIds(Long[] patientIds)
    {
        return fsPatientMapper.deleteFsPatientByIds(patientIds);
    }

    /**
     * 删除病人信息
     * 
     * @param patientId 病人ID
     * @return 结果
     */
    @Override
    public int deleteFsPatientById(Long patientId)
    {
        return fsPatientMapper.deleteFsPatientById(patientId);
    }

    @Override
    public List<FsPatient> selectFsPatientListByDoctor(FsPatientParam param) {
        return fsPatientMapper.selectFsPatientListByDoctor(param);
    }


}
